using System.ComponentModel;

namespace YBEE.EQM.Core;

/// <summary>
/// 前端提醒级别
/// </summary>
public enum AntShowType
{
    /// <summary>
    /// 不提示错误
    /// </summary>
    [Description("不提示错误")]
    SILENT = 0,
    /// <summary>
    /// 警告信息提示
    /// </summary>
    [Description("警告信息提示")]
    WARN_MESSAGE = 1,
    /// <summary>
    /// 错误信息提示
    /// </summary>
    [Description("错误信息提示")]
    ERROR_MESSAGE = 2,
    /// <summary>
    /// 通知提示
    /// </summary>
    [Description("通知提示")]
    NOTIFICATION = 4,
    /// <summary>
    /// 页面跳转
    /// </summary>
    [Description("页面跳转")]
    REDIRECT = 9,
}